using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Quality
{
	[Description("质检明细")]
	public class QualityDetail : FullStateEntity
	{

		/// <summary>
		/// 质检ID
		/// </summary>
		[SugarColumn(ColumnDescription = "质检ID")]
		public string QualityId { get; set; }

		/// <summary>
		/// 开始扣分时间点- 秒
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分时间点- 秒")]
		public int? Second { get; set; }

		/// <summary>
		/// 结束扣分时间点- 秒
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分时间点- 秒")]
		public int? EndSecond { get; set; }

		/// <summary>
		/// 质检项目名称
		/// </summary>
		[SugarColumn(ColumnDescription = "质检项目名称")]
		public string Name { get; set; }

		/// <summary>
		/// 扣分内容
		/// </summary>
		[SugarColumn(ColumnDescription = "扣分内容", ColumnDataType = "text")]
		public string? Content { get; set; }

		/// <summary>
		/// 分值
		/// </summary>
		[SugarColumn(ColumnDescription = "分值")]
		public int Grade { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(QualityId))]
		public Quality Quality { get; set; }

		/// <summary>
		/// 是否智能质检项目
		/// </summary>
		[SugarColumn(ColumnDescription = "是否智能质检项目")]
		public bool? Intelligent { get; set; } = false;

		/// <summary>
		/// 勾选
		/// </summary>
		[SugarColumn(ColumnDescription = "勾选")]
		public bool? Check { get; set; }

	}
}
